# HeadsetControl-2.0
# git clone https://github.com/Sapd/HeadsetControl.git
###

Name:           headsetcontrol
Version:        2.0
Release:        %mkrel 2
Summary:        Want to use your Headset under Linux with sidetone
License:        GPLv3
Group:			System/Configuration/Hardware
URL:            https://github.com/Sapd/HeadsetControl.git
Source0:		HeadsetControl-%{version}.tar.xz

BuildRequires:	git
BuildRequires:	cmake
BuildRequires:	%{_lib}hidapi-devel

%description
Want to use your Headset under Linux or Mac OS X, but you shout while talking
because there is no support for sidetone? With sidetone,
sometimes also called loopback, you can hear your own voice while talking.
This differs from a simple loopback via PulseAudio as you won't have any
disturbing latency.
Supported Headsets
Sidetone

    Corsair Void (Wireless & Wired)
    Corsair Void Pro (Wireless & Wired)
    Logitech G930
    Logitech G633
    Logitech G533
    Logitech G430 (Last working on macOS in commit 41be99379f)
    SteelSeries Arctis 7

Other Features

Corsair Void (Pro) also supports checking of the battery.

For more features (like getting battery percentage of other devices,
or settings LEDs etc. of specific devices), the protocol of the respective
headset must be analyzed further. This can be done by capturing the USB traffic
and analyzing it with WireShark or USBlyzer.

%prep
%setup -qn HeadsetControl-%{version}
%apply_patches

%build
%cmake
%make

%install
rm -rf %buildroot
%make_install -C build

ln -fs %{_bindir}/HeadsetControl %{buildroot}/%{_bindir}/headsetcontrol

%find_lang %{name}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%doc README.md license
%{_bindir}/HeadsetControl
%{_bindir}/headsetcontrol
%{_sysconfdir}/udev/rules.d/50-corsair-void-pro.rules
%{_sysconfdir}/udev/rules.d/50-logitech-g930.rules
%{_sysconfdir}/udev/rules.d/50-logitech-g430.rules
%{_sysconfdir}/udev/rules.d/50-steelseries-arctis-7.rules
%{_sysconfdir}/udev/rules.d/50-logitech-g633.rules
%{_sysconfdir}/udev/rules.d/50-corsair-void.rules
%{_sysconfdir}/udev/rules.d/50-logitech-g533.rules


%changelog
* Sat Feb 16 2019 tex - 2.0-2pclos2019
- fix package

* Sun Jan 27 2019 onkelho <oh.quait at gmail.com> - 2.0-1pclos2019
- initbuild

